# Crap4jPHPUnitResultFormatter

Extends \PHPUnitResultFormatter

Prints Clover XML output of the test

author | Daniel Kreckel daniel@kreckel.koeln
version | $Id: 8264b2201e8667bf661e5fbe6ebe050413eb68d1 $
package | phing.tasks.ext.formatter
since | 2.1.1

### Methods

## Constructor

    __construct(\PHPUnitTask $parentTask)

inherited

### Arguments

#### $parentTask

`\PHPUnitTask`

Calling Task

## addError

    addError(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addFailure

    addFailure(\PHPUnit_Framework_Test $test, \PHPUnit_Framework_AssertionFailedError $e, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\PHPUnit_Framework_AssertionFailedError`

#### $time

`float`

## addIncompleteTest

    addIncompleteTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addRiskyTest

    addRiskyTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addSkippedTest

    addSkippedTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## endTest

    endTest(\PHPUnit_Framework_Test $test, float $time)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $time

`float`

## endTestRun

    endTestRun()

inherited

## endTestSuite

    endTestSuite(\PHPUnit_Framework_TestSuite $suite)

inherited

### Arguments

#### $suite

`\PHPUnit_Framework_TestSuite`

## getElapsedTime

    getElapsedTime() : float|integer

inherited

### Response

`float|integer`

## getErrorCount

    getErrorCount() : mixed

inherited

### Response

`mixed`

## Returns the extension used for this formatter

    getExtension() : string

inherited

### Response

`string`

the extension

## getFailureCount

    getFailureCount() : mixed

inherited

### Response

`mixed`

## getIncompleteCount

    getIncompleteCount() : mixed

inherited

### Response

`mixed`

## getMicrotime

    getMicrotime() : float

inherited

### Response

`float`

## getPreferredOutfile

    getPreferredOutfile() : string

inherited

### Response

`string`

## getRunCount

    getRunCount() : mixed

inherited

### Response

`mixed`

## getSkippedCount

    getSkippedCount() : mixed

inherited

### Response

`mixed`

## processResult

    processResult(\PHPUnit_Framework_TestResult $result)

inherited

### Arguments

#### $result

`\PHPUnit_Framework_TestResult`

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

## startTest

    startTest(\PHPUnit_Framework_Test $test)

inherited

### Arguments

#### $test

`\PHPUnit_Framework_Test`

## startTestRun

    startTestRun()

inherited

## startTestSuite

    startTestSuite(\PHPUnit_Framework_TestSuite $suite)

inherited

### Arguments

#### $suite

`\PHPUnit_Framework_TestSuite`

### Properties

## result

    result : \PHPUnit_Framework_TestResult

var |

### Type(s)

`\PHPUnit_Framework_TestResult`

## PHPUnit version

    version : string

var |

### Type(s)

`string`

## out

    out :

inherited

### Type(s)

``

## project

    project :

inherited

### Type(s)

``

## timers

    timers : boolean|array

inherited

var |

### Type(s)

`boolean|array`

## runCounts

    runCounts : boolean|array

inherited

var |

### Type(s)

`boolean|array`

## failureCounts

    failureCounts : boolean|array

inherited

var |

### Type(s)

`boolean|array`

## errorCounts

    errorCounts : boolean|array

inherited

var |

### Type(s)

`boolean|array`

## incompleteCounts

    incompleteCounts : boolean|array

inherited

var |

### Type(s)

`boolean|array`

## skipCounts

    skipCounts : boolean|array

inherited

var |

### Type(s)

`boolean|array`